Mail archive
alpine-aports

[alpine-aports] [PATCH 3/7] testing/py-singledispatch: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Sat, 21 Nov 2015 14:42:23 -0600

New required dependency for main/py-tornado 4.3
---
 testing/py-singledispatch/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-singledispatch/APKBUILD
diff --git a/testing/py-singledispatch/APKBUILD b/testing/py-singledispatch/APKBUILD
new file mode 100644
index 0000000..9cbf7ee
--- /dev/null
+++ b/testing/py-singledispatch/APKBUILD
_at_@ -0,0 +1,40 @@
+# Maintainer: Peter Bui <pnutzh4x0r_at_gmail.com>
+pkgname=py-singledispatch
+_pkgname=singledispatch
+pkgver=3.4.0.3
+pkgrel=0
+pkgdesc="This library brings functools.singledispatch from Python 3.4 to Python 2.6-3.3."
+url="https://bitbucket.org/ambv/singledispatch"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev="py-setuptools"
+makedepends="python-dev $depends_dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="af2fc6a3d6cc5a02d0bf54d909785fcb  singledispatch-3.4.0.3.tar.gz"
+sha256sums="5b06af87df13818d14f08a028e42f566640aef80805c3b50c5056b086e3c2b9c  singledispatch-3.4.0.3.tar.gz"
+sha512sums="ba065d36092ddee6527be3d7cb777c51c0949855bf6dd0ffb7c25acaedaa35d36fe6dc096587acddcd1e9e54c6ac5f92c196b11f9ee1270cc0c1cf2f410446cf  singledispatch-3.4.0.3.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Nov 21 2015 - 14:42:23 GMT